// JMPImportView.h : interface of the CJMPImportView class
//


#pragma once


class CJMPImportView : public CView
{
protected: // create from serialization only
	CJMPImportView();
	DECLARE_DYNCREATE(CJMPImportView)

// Attributes
public:
	CJMPImportDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CJMPImportView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in JMPImportView.cpp
inline CJMPImportDoc* CJMPImportView::GetDocument() const
   { return reinterpret_cast<CJMPImportDoc*>(m_pDocument); }
#endif

